Home
last modified time | relevance | path

Searched refs:Error (Results 1 – 25 of 399) sorted by relevance

12345678910>>...16

/freebsd-9-stable/contrib/llvm/tools/clang/include/clang/Basic/
DDiagnosticParseKinds.td22 def err_asm_empty : Error<"__asm used with no assembly instructions">;
23 def err_inline_ms_asm_parsing : Error<"%0">;
24 def err_msasm_unsupported_arch : Error<
26 def err_msasm_unable_to_create_target : Error<
65 def error_empty_enum : Error<"use of empty enum">;
66 def err_invalid_sign_spec : Error<"'%0' cannot be signed or unsigned">;
67 def err_invalid_short_spec : Error<"'short %0' is invalid">;
68 def err_invalid_long_spec : Error<"'long %0' is invalid">;
69 def err_invalid_longlong_spec : Error<"'long long %0' is invalid">;
70 def err_invalid_complex_spec : Error<"'_Complex %0' is invalid">;
[all …]
DDiagnosticDriverKinds.td12 def err_drv_no_such_file : Error<"no such file or directory: '%0'">;
13 def err_drv_unsupported_opt : Error<"unsupported option '%0'">;
14 def err_drv_unsupported_opt_for_target : Error<
16 def err_drv_unsupported_option_argument : Error<
18 def err_drv_unknown_stdin_type : Error<
20 def err_drv_unknown_language : Error<"language not recognized: '%0'">;
21 def err_drv_invalid_arch_name : Error<
23 def err_drv_invalid_linker_name : Error<
25 def err_drv_invalid_rtlib_name : Error<
27 def err_drv_unsupported_rtlib_for_platform : Error<
[all …]
DDiagnosticFrontendKinds.td12 def err_fe_error_opening : Error<"error opening '%0': %1">;
13 def err_fe_error_reading : Error<"error reading '%0'">;
14 def err_fe_error_reading_stdin : Error<"error reading stdin: %0">;
15 def err_fe_error_backend : Error<"error in backend: %0">, DefaultFatal;
17 // Error generated by the backend.
18 def err_fe_inline_asm : Error<"%0">, CatInlineAsm;
20 def err_fe_cannot_link_module : Error<"cannot link module '%0': %1">,
25 def err_fe_invalid_code_complete_file : Error<
27 def err_fe_stdout_binary : Error<"unable to change standard output to binary">,
29 def err_fe_dependency_file_requires_MT : Error<
[all …]
DDiagnosticLexKinds.td75 def err_unterminated_block_comment : Error<"unterminated /* comment">;
76 def err_invalid_character_to_charify : Error<
78 def err_unterminated___pragma : Error<"missing terminating ')' character">;
80 def err_conflict_marker : Error<"version control conflict marker in file">;
82 def err_raw_delim_too_long : Error<
85 def err_invalid_char_raw_delim : Error<
88 def err_unterminated_raw_string : Error<
101 def err_invalid_utf8 : Error<
103 def err_non_ascii : Error<
109 def err_hex_escape_no_digits : Error<
[all …]
DDiagnosticSemaKinds.td34 def err_expr_not_ice : Error<
39 def err_typecheck_converted_constant_expression : Error<
41 def err_typecheck_converted_constant_expression_disallowed : Error<
43 def err_expr_not_cce : Error<
51 def err_ice_not_integral : Error<
54 def err_ice_incomplete_type : Error<
56 def err_ice_explicit_conversion : Error<
60 def err_ice_ambiguous_conversion : Error<
82 def err_vla_non_pod : Error<"variable length array of non-POD element type %0">;
83 def err_vla_in_sfinae : Error<
[all …]
DDiagnosticCommonKinds.td19 : Error<"too many errors emitted, stopping now">, DefaultFatal;
43 def err_expected_colon : Error<"expected ':'">;
44 def err_expected_colon_after_setter_name : Error<
47 def err_expected_string_literal : Error<"expected string literal "
50 def err_invalid_string_udl : Error<
52 def err_invalid_character_udl : Error<
54 def err_invalid_numeric_udl : Error<
63 def err_param_redefinition : Error<"redefinition of parameter %0">;
67 def err_invalid_storage_class_in_func_decl : Error<
69 def err_expected_namespace_name : Error<"expected namespace name">;
[all …]
DDiagnosticSerializationKinds.td12 def err_fe_unable_to_read_pch_file : Error<
14 def err_fe_not_a_pch_file : Error<
16 def err_fe_pch_malformed : Error<
18 def err_fe_pch_malformed_block : Error<
20 def err_fe_pch_file_modified : Error<
23 def err_fe_pch_file_overridden : Error<
28 def err_pch_targetopt_mismatch : Error<
31 def err_pch_targetopt_feature_mismatch : Error<
35 def err_pch_langopt_mismatch : Error<"%0 was %select{disabled|enabled}1 in "
37 def err_pch_langopt_value_mismatch : Error<
[all …]
/freebsd-9-stable/contrib/llvm/tools/clang/lib/ASTMatchers/Dynamic/
DParser.cpp58 explicit CodeTokenizer(StringRef MatcherCode, Diagnostics *Error) in CodeTokenizer() argument
59 : Code(MatcherCode), StartOfLine(MatcherCode), Line(1), Error(Error) { in CodeTokenizer()
165 Error->addError(Range, Error->ET_ParserUnsignedError) << Result->Text; in consumeUnsignedLiteral()
200 Error->addError(Range, Error->ET_ParserStringError) << ErrorText; in consumeStringLiteral()
225 Diagnostics *Error; member in clang::ast_matchers::dynamic::Parser::CodeTokenizer
240 Error->addError(OpenToken.Range, Error->ET_ParserNoOpenParen) in parseMatcherExpressionImpl()
257 Error->addError(CommaToken.Range, Error->ET_ParserNoComma) in parseMatcherExpressionImpl()
263 Diagnostics::Context Ctx(Diagnostics::Context::MatcherArg, Error, in parseMatcherExpressionImpl()
274 Error->addError(OpenToken.Range, Error->ET_ParserNoCloseParen); in parseMatcherExpressionImpl()
291 Error->addError(BindToken.Range, Error->ET_ParserMalformedBindExpr); in parseMatcherExpressionImpl()
[all …]
DDiagnostics.cpp25 Diagnostics::Context::Context(ConstructMatcherEnum, Diagnostics *Error, in Context() argument
28 : Error(Error) { in Context()
29 Error->pushContextFrame(CT_MatcherConstruct, MatcherRange) << MatcherName; in Context()
32 Diagnostics::Context::Context(MatcherArgEnum, Diagnostics *Error, in Context() argument
36 : Error(Error) { in Context()
37 Error->pushContextFrame(CT_MatcherArg, MatcherRange) << ArgNumber in Context()
41 Diagnostics::Context::~Context() { Error->ContextStack.pop_back(); } in ~Context()
43 Diagnostics::OverloadContext::OverloadContext(Diagnostics *Error) in OverloadContext() argument
44 : Error(Error), BeginIndex(Error->Errors.size()) {} in OverloadContext()
48 if (BeginIndex < Error->Errors.size()) { in ~OverloadContext()
[all …]
DMarshallers.h88 Diagnostics *Error) const = 0;
103 Diagnostics *Error);
113 Diagnostics *Error) const {
114 return Marshaller(Func, MatcherName, NameRange, Args, Error);
135 Diagnostics *Error);
141 Diagnostics *Error) const {
142 return Func(MatcherName, NameRange, Args, Error);
153 Error->addError(NameRange, Error->ET_RegistryWrongArgCount) \
160 Error->addError(Args[index].Range, Error->ET_RegistryWrongArgType) \
205 Diagnostics *Error) {
[all …]
/freebsd-9-stable/contrib/llvm/lib/Bitcode/Reader/
DBitcodeReader.cpp456 return Error(InvalidRecord); in ParseAttributeBlock()
459 return Error(InvalidMultipleBlocks); in ParseAttributeBlock()
471 case BitstreamEntry::Error: in ParseAttributeBlock()
472 return Error(MalformedBlock); in ParseAttributeBlock()
488 return Error(InvalidRecord); in ParseAttributeBlock()
598 return Error(InvalidValue); in ParseAttrKind()
604 return Error(InvalidRecord); in ParseAttributeGroupBlock()
607 return Error(InvalidMultipleBlocks); in ParseAttributeGroupBlock()
617 case BitstreamEntry::Error: in ParseAttributeGroupBlock()
618 return Error(MalformedBlock); in ParseAttributeGroupBlock()
[all …]
/freebsd-9-stable/contrib/llvm/tools/bugpoint/
DMiscompilation.cpp53 std::string &Error);
63 std::string &Error) { in doTest() argument
81 true /*delete bitcode*/, &Error); in doTest()
82 if (!Error.empty()) in doTest()
118 Diff = BD.diffProgram(BD.getProgram(), BitcodeResult, "", false, &Error); in doTest()
119 if (!Error.empty()) in doTest()
160 true /*delete bitcode*/, &Error); in doTest()
161 if (!Error.empty()) in doTest()
187 std::string &Error) { in doTest() argument
189 bool Ret = TestFuncs(Suffix, Error); in doTest()
[all …]
DFindBugs.cpp79 std::string Error; in runManyPasses() local
80 compileProgram(Program, &Error); in runManyPasses()
81 if (!Error.empty()) { in runManyPasses()
83 outs() << Error; in runManyPasses()
93 bool Diff = diffProgram(Program, Filename, "", false, &Error); in runManyPasses()
94 if (Error.empty() && Diff) { in runManyPasses()
96 debugMiscompilation(&Error); in runManyPasses()
97 if (Error.empty()) in runManyPasses()
100 if (!Error.empty()) { in runManyPasses()
101 errs() << Error; in runManyPasses()
DBugDriver.cpp174 std::string Error; in run() local
175 compileProgram(Program, &Error); in run()
176 if (!Error.empty()) { in run()
177 outs() << Error; in run()
204 bool Diff = diffProgram(Program, "", "", false, &Error); in run()
205 if (!Error.empty()) { in run()
206 errs() << Error; in run()
211 debugMiscompilation(&Error); in run()
212 if (!Error.empty()) { in run()
213 errs() << Error; in run()
[all …]
DExecutionDriver.cpp266 void BugDriver::compileProgram(Module *M, std::string *Error) const { in compileProgram()
287 Interpreter->compileProgram(BitcodeFile.str(), Error, Timeout, MemoryLimit); in compileProgram()
300 std::string *Error) const { in executeProgram()
348 Error, AdditionalLinkerArgs, SharedObjs, in executeProgram()
350 if (!Error->empty()) in executeProgram()
381 std::string *Error) const { in executeProgramSafely()
382 return executeProgram(Program, OutputFile, "", "", SafeInterpreter, Error); in executeProgramSafely()
386 std::string &Error) { in compileSharedObject() argument
392 Error); in compileSharedObject()
393 if (!Error.empty()) in compileSharedObject()
[all …]
DListReducer.h46 std::string &Error) = 0;
52 bool reduceList(std::vector<ElTy> &TheList, std::string &Error) { in reduceList()
55 switch (doTest(TheList, empty, Error)) { in reduceList()
71 assert(!Error.empty()); in reduceList()
100 if (doTest(ShuffledList, empty, Error) == KeepPrefix) { in reduceList()
119 switch (doTest(Prefix, Suffix, Error)) { in reduceList()
146 assert(Error.empty() && "doTest did not return InternalError for error"); in reduceList()
180 if (doTest(EmptyList, TestList, Error) == KeepSuffix) { in reduceList()
186 if (!Error.empty()) in reduceList()
/freebsd-9-stable/contrib/llvm/lib/Support/
DRegex.cpp40 bool Regex::isValid(std::string &Error) { in isValid() argument
46 Error.resize(len - 1); in isValid()
47 llvm_regerror(error, preg, &Error[0], len); in isValid()
97 std::string *Error) { in sub() argument
101 if (Error && !Error->empty()) *Error = ""; in sub()
122 Error && Error->empty()) in sub()
123 *Error = "replacement string contained trailing backslash"; in sub()
159 else if (Error && Error->empty()) in sub()
160 *Error = "invalid backreference string '" + Ref.str() + "'"; in sub()
DTargetRegistry.cpp28 std::string &Error) { in lookupTarget() argument
43 Error = "error: invalid target '" + ArchName + "'.\n"; in lookupTarget()
57 Error = ": error: unable to get target for '" in lookupTarget()
68 std::string &Error) { in lookupTarget() argument
71 Error = "Unable to find target for this triple (no targets are registered)"; in lookupTarget()
88 Error = "No available targets are compatible with this triple, " in lookupTarget()
96 Error = std::string("Cannot choose between targets \"") + in lookupTarget()
127 const Target *TargetRegistry::getClosestTargetForJIT(std::string &Error) { in getClosestTargetForJIT() argument
128 const Target *TheTarget = lookupTarget(sys::getDefaultTargetTriple(), Error); in getClosestTargetForJIT()
131 Error = "No JIT compatible target available for this host"; in getClosestTargetForJIT()
/freebsd-9-stable/tools/regression/bin/sh/expansion/
Dcmdsubst10.06 [ "$a1" = "$a2" ] || echo Error at line $LINENO
12 [ "$a1" = "$a2" ] || echo Error at line $LINENO
14 [ "$(command -V pwd)" = "$(command -V pwd; exit $?)" ] || echo Error at line $LINENO
18 [ "$v" = 1 ] || echo Error at line $LINENO
22 [ "$rotest" = 1 ] || echo Error at line $LINENO
27 *u*) echo Error at line $LINENO ;;
34 *u*) echo Error at line $LINENO ;;
41 *u*) echo Error at line $LINENO ;;
49 [ "$u1" = "$u2" ] || echo Error at line $LINENO
51 dummy=$(exit 3); [ $? -eq 3 ] || echo Error at line $LINENO
/freebsd-9-stable/contrib/llvm/tools/clang/lib/Parse/
DParseTentative.cpp134 if (TPR == TPResult::Error()) in isCXXSimpleDeclaration()
160 return TPResult::Error(); in TryConsumeDeclarationSpecifier()
163 return TPResult::Error(); in TryConsumeDeclarationSpecifier()
187 return TPResult::Error(); in TryConsumeDeclarationSpecifier()
191 return TPResult::Error(); in TryConsumeDeclarationSpecifier()
194 return TPResult::Error(); in TryConsumeDeclarationSpecifier()
199 return TPResult::Error(); in TryConsumeDeclarationSpecifier()
203 return TPResult::Error(); in TryConsumeDeclarationSpecifier()
230 if (TryConsumeDeclarationSpecifier() == TPResult::Error()) in TryParseSimpleDeclaration()
231 return TPResult::Error(); in TryParseSimpleDeclaration()
[all …]
/freebsd-9-stable/contrib/llvm/lib/AsmParser/
DLLParser.cpp61 return Error(MDList[i].Loc, "use of undefined metadata '!" + in ValidateEndOfModule()
143 return Error(Fn.Loc, "unknown function referenced by blockaddress"); in ValidateEndOfModule()
156 return Error(NumberedTypes[i].second, in ValidateEndOfModule()
162 return Error(I->second.second, in ValidateEndOfModule()
166 return Error(ForwardRefVals.begin()->second.second, in ValidateEndOfModule()
171 return Error(ForwardRefValIDs.begin()->second.second, in ValidateEndOfModule()
176 return Error(ForwardRefMDNodes.begin()->second.second, in ValidateEndOfModule()
202 return Error(Refs[i].first.Loc, in ResolveForwardRefBlockAddresses()
210 return Error(Refs[i].first.Loc, in ResolveForwardRefBlockAddresses()
374 return Error(TypeLoc, "non-struct types may not be recursive"); in ParseUnnamedType()
[all …]
/freebsd-9-stable/contrib/ntp/ntpd/
Dcheck_y2k.c138 #define Error(year) if ( (year)>=2036 && LocalTime.tm_year < 110 ) \ macro
185 Error(year); /* should increment Fatals */ in main()
196 Error(year); /* should increment Fatals */ in main()
206 Error(1980); /* should increment Fatals */ in main()
280 Error(year); in main()
290 Error(year); in main()
312 Error(year); in main()
345 Error(year); in main()
389 Error(year); in main()
427 Error(year); in main()
[all …]
/freebsd-9-stable/contrib/llvm/lib/Target/AArch64/AsmParser/
DAArch64AsmParser.cpp1271 Error(Parser.getTok().getLoc(), "unexpected token in operand"); in ParseOperand()
1376 Error(Parser.getTok().getLoc(), "expected lane number"); in ParseNEONLane()
1381 Error(Parser.getTok().getLoc(), "lane number incompatible with layout"); in ParseNEONLane()
1394 Error(Parser.getTok().getLoc(), "expected ']' after lane"); in ParseNEONLane()
1410 Error(Parser.getTok().getLoc(), in ParseRelocPrefix()
1455 Error(Parser.getTok().getLoc(), in ParseRelocPrefix()
1462 Error(Parser.getTok().getLoc(), in ParseRelocPrefix()
1501 Error(Parser.getTok().getLoc(), "only 'lsl #+N' valid after immediate"); in ParseImmWithLSLOperand()
1510 Error(Parser.getTok().getLoc(), "positive shift amount required"); in ParseImmWithLSLOperand()
1547 Error(S, "Expected cN operand where 0 <= N <= 15"); in ParseCRxOperand()
[all …]
/freebsd-9-stable/contrib/llvm/tools/clang/include/clang/ASTMatchers/Dynamic/
DParser.h85 Diagnostics *Error) = 0;
101 parseMatcherExpression(StringRef MatcherCode, Diagnostics *Error);
114 parseMatcherExpression(StringRef MatcherCode, Sema *S, Diagnostics *Error);
122 Diagnostics *Error);
130 VariantValue *Value, Diagnostics *Error);
137 Diagnostics *Error);
144 Diagnostics *const Error; variable
/freebsd-9-stable/contrib/llvm/lib/TableGen/
DMain.cpp59 std::string Error; in createDependencyFile() local
60 tool_output_file DepOut(DependFilename.c_str(), Error); in createDependencyFile()
61 if (!Error.empty()) { in createDependencyFile()
63 << ":" << Error << "\n"; in createDependencyFile()
105 std::string Error; in TableGenMain() local
106 tool_output_file Out(OutputFilename.c_str(), Error); in TableGenMain()
107 if (!Error.empty()) { in TableGenMain()
109 << ":" << Error << "\n"; in TableGenMain()

12345678910>>...16